## gr-satellites 5.5.0

=== CMakeLists.txt ===
# Copyright 2011,2012,2014,2016,2018 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 3.8)
project(gr-satellites CXX C)
enable_testing()

# Install to PyBOMBS target prefix if defined
if(DEFINED ENV{PYBOMBS_PREFIX})
    set(CMAKE_INSTALL_PREFIX $ENV{PYBOMBS_PREFIX})
    message(STATUS "PyBOMBS installed GNU Radio. Setting CMAKE_INSTALL_PREFIX to $ENV{PYBOMBS_PREFIX}")
endif()

# Select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

# Make sure our local CMake Modules path comes first
list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/cmake/Modules)

# Set the version information here
set(VERSION_MAJOR 5)
set(VERSION_API 5)
set(VERSION_ABI 0)
set(VERSION_PATCH 0)

cmake_policy(SET CMP0011 NEW)

# Enable generation of compile_commands.json for code completion engines
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Add warnings
if (MSVC)
    # warning level 4 and all warnings as errors
    add_compile_options(/W4)
else()
    # lots of warnings and all warnings as errors
    add_compile_options(-Wall -Wextra -Wno-unused-parameter)
endif()

########################################################################
# Compiler specific setup
########################################################################
if((CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR
    CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
endif()

IF(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    SET(CMAKE_CXX_STANDARD 14)
ELSEIF(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    SET(CMAKE_CXX_STANDARD 14)
ELSEIF(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    SET(CMAKE_CXX_STANDARD 14)
ELSE()
    message(WARNING "C++ standard could not be set because compiler is not GNU, Clang or MSVC.")
ENDIF()

IF(CMAKE_C_COMPILER_ID STREQUAL "GNU")
    SET(CMAKE_C_STANDARD 11)
ELSEIF(CMAKE_C_COMPILER_ID MATCHES "Clang")
    SET(CMAKE_C_STANDARD 11)
ELSEIF(CMAKE_C_COMPILER_ID STREQUAL "MSVC")
    SET(CMAKE_C_STANDARD 11)
ELSE()
    message(WARNING "C standard could not be set because compiler is not GNU, Clang or MSVC.")
ENDIF()

########################################################################
# Install directories
########################################################################
find_package(Gnuradio "3.10" REQUIRED COMPONENTS analog blocks digital fft filter)
include(GrVersion)

include(GrPlatform) #define LIB_SUFFIX

if(NOT CMAKE_MODULES_DIR)
  set(CMAKE_MODULES_DIR lib${LIB_SUFFIX}/cmake)
endif(NOT CMAKE_MODULES_DIR)

set(GR_INCLUDE_DIR      include/satellites)
set(GR_CMAKE_DIR        ${CMAKE_MODULES_DIR}/satellites)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})

########################################################################
# On Apple only, set install name and use rpath correctly, if not already set
########################################################################
if(APPLE)
    if(NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install Name Destination Directory" FORCE)
    endif(NOT CMAKE_INSTALL_NAME_DIR)
    if(NOT CMAKE_INSTALL_RPATH)
        set(CMAKE_INSTALL_RPATH
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install RPath" FORCE)
    endif(NOT CMAKE_INSTALL_RPATH)
    if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
        set(CMAKE_BUILD_WITH_INSTALL_RPATH ON CACHE
            BOOL "Do Build Using Library Install RPath" FORCE)
    endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
endif(APPLE)

########################################################################
# Find gnuradio build dependencies
########################################################################
find_package(Doxygen)

########################################################################
# PyBind11 Related
########################################################################

find_package(pybind11 REQUIRED)
execute_process(
    COMMAND "${PYTHON_EXECUTABLE}" -c
    "try:\n import numpy\n import os\n inc_path = numpy.get_include()\n if os.path.exists(os.path.join(inc_path, 'numpy', 'arrayobject.h')):\n  print(inc_path, end='')\nexcept:\n pass"
    OUTPUT_VARIABLE PYTHON_NUMPY_INCLUDE_DIR)

########################################################################
# Setup doxygen option
########################################################################
if(DOXYGEN_FOUND)
    option(ENABLE_DOXYGEN "Build docs using Doxygen" ON)
else(DOXYGEN_FOUND)
    option(ENABLE_DOXYGEN "Build docs using Doxygen" OFF)
endif(DOXYGEN_FOUND)

########################################################################
# Setup manpage option
########################################################################
if(NOT WIN32)
    option(ENABLE_MANPAGES "Build man pages for commands" ON)
else(NOT WIN32)
    option(ENABLE_MANPAGES "Build man pages for commands" OFF)
endif(NOT WIN32)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
    )


########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/satellites)
add_subdirectory(lib)
add_subdirectory(apps)
add_subdirectory(docs)
add_subdirectory(python)
add_subdirectory(grc)

########################################################################
# Install cmake search helper for this library
########################################################################

install(FILES cmake/Modules/satellitesConfig.cmake
    DESTINATION ${CMAKE_MODULES_DIR}/satellites
)

=== docs/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
# Copyright 2020 Daniel Estevez <daniel@destevez.net>
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup dependencies
########################################################################
find_package(Doxygen)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_DOXYGEN)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(doxygen)

endif(ENABLE_DOXYGEN)

########################################################################
# Man pages
########################################################################
if(ENABLE_MANPAGES)

FIND_PROGRAM(BZIP
             NAMES bzip2
             PATHS /bin
                   /usr/bin
                   /usr/local/bin)

if(NOT BZIP)
        MESSAGE(FATAL_ERROR "Could not find bzip2 for man page compression.")
endif(NOT BZIP)

set(MAN_SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(MAN_BUILD_DIR ${PROJECT_BINARY_DIR}/docs)

list(APPEND manpages
     gr_satellites.1
     jy1sat_ssdv.1
     smog_p_spectrum.1
)

# If user has not set the base dir for man pages, use a default location
set(MAN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/man)

foreach(manpage ${manpages})
    add_custom_target(generate_manpage_${manpage} ALL
        COMMAND ${BZIP} -c ${MAN_SRC_DIR}/${manpage} > ${MAN_BUILD_DIR}/${manpage}.bz2
    )
    install(FILES
       ${MAN_BUILD_DIR}/${manpage}.bz2
       DESTINATION ${MAN_INSTALL_DIR}/man1
    )
endforeach(manpage)

endif(ENABLE_MANPAGES)

=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

install(FILES
    satellites_aausat4_remove_fsm.block.yml
    satellites_adsb_kml.block.yml
    satellites_append_crc32c.block.yml
    satellites_autopolarization.block.yml
    satellites_ax100_decode.block.yml
    satellites_beesat_classifier.block.yml
    satellites_bme_submitter.block.yml
    satellites_bme_ws_submitter.block.yml
    satellites_cc11xx_packet_crop.block.yml
    satellites_check_address.block.yml
    satellites_check_ao40_uncoded_crc.block.yml
    satellites_check_astrocast_crc.block.yml
    satellites_check_cc11xx_crc.block.yml
    satellites_check_crc16_ccitt.block.yml
    satellites_check_crc16_ccitt_false.block.yml
    satellites_check_crc.block.yml
    satellites_check_eseo_crc.block.yml
    satellites_check_swiatowid_crc.block.yml
    satellites_check_tt64_crc.block.yml
    satellites_convolutional_encoder.block.yml
    satellites_costas_loop_8apsk_cc.block.yml
    satellites_crc_append.block.yml
    satellites_crc_check.block.yml
    satellites_decode_ra_code.block.yml
    satellites_decode_rs.block.yml
    satellites_decode_rs_ccsds.block.yml
    satellites_descrambler308.block.yml
    satellites_distributed_syncframe_soft.block.yml
    satellites_doppler_correction.block.yml
    satellites_encode_rs.block.yml
    satellites_encode_rs_ccsds.block.yml
    satellites_eseo_line_decoder.block.yml
    satellites_eseo_packet_crop.block.yml
    satellites_fixedlen_tagger.block.yml
    satellites_fixedlen_to_pdu.block.yml
    satellites_funcube_submit.block.yml
    satellites_hdlc_deframer.block.yml
    satellites_hdlc_framer.block.yml
    satellites_k2sat_deframer.block.yml
    satellites_kiss_to_pdu.block.yml
    satellites_ks1q_header_remover.block.yml
    satellites_lilacsat1_demux.block.yml
    satellites_lilacsat1_gps_kml.block.yml
    satellites_manchester_sync.block.yml
    satellites_matrix_deinterleaver_soft.block.yml
    satellites_ngham_check_crc.block.yml
    satellites_ngham_packet_crop.block.yml
    satellites_ngham_remove_padding.block.yml
    satellites_nrzi_decode.block.yml
    satellites_nrzi_encode.block.yml
    satellites_nusat_decoder.block.yml
    satellites_pdu_add_meta.block.yml
    satellites_pdu_head_tail.block.yml
    satellites_pdu_length_filter.block.yml
    satellites_pdu_scrambler.block.yml
    satellites_pdu_to_kiss.block.yml
    satellites_phase_unwrap.block.yml
    satellites_print_header.block.yml
    satellites_print_timestamp.block.yml
    satellites_pwsat2_submitter.block.yml
    satellites_pwsat2_telemetry_parser.block.yml
    satellites_reflect_bytes.block.yml
    satellites_selector.block.yml
    satellites_snet_classifier.block.yml
    satellites_snet_deframer.block.yml
    satellites_submit.block.yml
    satellites_swap_crc.block.yml
    satellites_swap_header.block.yml
    satellites_swiatowid_packet_crop.block.yml
    satellites_swiatowid_packet_split.block.yml
    satellites_sx12xx_check_crc.block.yml
    satellites_sx12xx_packet_crop.block.yml
    satellites_u482c_decode.block.yml
    satellites_varlen_packet_framer.block.yml
    satellites_varlen_packet_tagger.block.yml
    satellites_viterbi_decoder.block.yml
    DESTINATION share/gnuradio/grc/blocks
)

add_subdirectory(ccsds)
add_subdirectory(components)
add_subdirectory(core)
add_subdirectory(hier)
add_subdirectory(usp)

=== lib/CMakeLists.txt ===
# Copyright 2011,2012,2016,2018,2019 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup library
########################################################################
include(GrPlatform) #define LIB_SUFFIX

if(MSVC)
    # compile the golay24.c as C++ due to the lack of complex.h under MSVC
    # this is required by Volk, so we do the same trick as in Volk
    set_source_files_properties(golay24.c PROPERTIES LANGUAGE CXX)
endif()

# This workaround is taken from GNU Radio
# gr-fec/lib/reed-solomon/CMakeLists.txt
#MSVC workaround: we can't have dynamically sized arrays.
#So ifdef a max array bounds that is larger than NN and NROOTS
#Its a bit of a hack, but if you look at the code, its so full of ifdefs,
#and lacks optimization where it should be pre-allocating these arrays.
if(MSVC)
    set_source_files_properties(
        ${CMAKE_CURRENT_SOURCE_DIR}/libfec/decode_rs_char.c
        PROPERTIES COMPILE_DEFINITIONS "MAX_ARRAY=256;"
    )
endif(MSVC)

list(APPEND satellites_sources
    ax100_decode_impl.cc
    convolutional_encoder_impl.cc
    costas_loop_8apsk_cc_impl.cc
    crc.cc
    crc_append_impl.cc
    crc_check_impl.cc
    decode_ra_code_impl.cc
    decode_rs_impl.cc
    descrambler308_impl.cc
    distributed_syncframe_soft_impl.cc
    doppler_correction_impl.cc
    encode_rs_impl.cc
    fixedlen_to_pdu_impl.cc
    golay24.c
    lilacsat1_demux_impl.cc
    manchester_sync_impl.cc
    matrix_deinterleaver_soft_impl.cc
    nrzi_decode_impl.cc
    nrzi_encode_impl.cc
    nusat_decoder_impl.cc
    pdu_add_meta_impl.cc
    pdu_head_tail_impl.cc
    pdu_length_filter_impl.cc
    pdu_scrambler_impl.cc
    phase_unwrap_impl.cc
    randomizer.c
    selector_impl.cc
    u482c_decode_impl.cc
    varlen_packet_framer_impl.cc
    varlen_packet_tagger_impl.cc
    viterbi.c
    viterbi_decoder_impl.cc
    libfec/decode_rs_8.c
    libfec/decode_rs_ccsds.c
    libfec/decode_rs_char.c
    libfec/encode_rs_8.c
    libfec/encode_rs_ccsds.c
    libfec/encode_rs_char.c
    libfec/taltab.c
    libfec/ccsds.c
    libfec/init_rs_char.c
    radecoder/ra_config.c
    radecoder/ra_decoder_gen.c
    radecoder/ra_lfsr.c
    radecoder/ra_encoder.c
    viterbi/viterbi.cc
)

set(satellites_sources "${satellites_sources}" PARENT_SCOPE)
if(NOT satellites_sources)
    MESSAGE(STATUS "No C++ sources... skipping lib/")
    return()
endif(NOT satellites_sources)

add_library(gnuradio-satellites SHARED ${satellites_sources})
target_link_libraries(gnuradio-satellites
	gnuradio::gnuradio-runtime
	gnuradio::gnuradio-blocks
	gnuradio::gnuradio-digital)
target_include_directories(gnuradio-satellites
    PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>
    PUBLIC $<INSTALL_INTERFACE:include>
  )
set_target_properties(gnuradio-satellites PROPERTIES DEFINE_SYMBOL "gnuradio_satellites_EXPORTS")

if(APPLE)
    set_target_properties(gnuradio-satellites PROPERTIES
        INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
    )
endif(APPLE)

########################################################################
# Install built library files
########################################################################
include(GrMiscUtils)
GR_LIBRARY_FOO(gnuradio-satellites)

########################################################################
# Print summary
########################################################################
message(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Building for version: ${VERSION} / ${LIBVER}")

########################################################################
# Build and register unit test
########################################################################
include(GrTest)

# If your unit tests require special include paths, add them here
#include_directories()
# List all files that contain Boost.UTF unit tests here
list(APPEND test_satellites_sources
)
# Anything we need to link to for the unit tests go here
list(APPEND GR_TEST_TARGET_DEPS gnuradio-satellites)

if(NOT test_satellites_sources)
    MESSAGE(STATUS "No C++ unit tests... skipping")
    return()
endif(NOT test_satellites_sources)

foreach(qa_file ${test_satellites_sources})
    GR_ADD_CPP_TEST("satellites_${qa_file}"
        ${CMAKE_CURRENT_SOURCE_DIR}/${qa_file}
    )
endforeach(qa_file)

=== python/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

add_subdirectory(bindings)

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    aausat4_remove_fsm.py
    adapters.py
    adsb_kml.py
    ao40_uncoded_crc.py
    append_crc32c.py
    autopolarization.py
    bch15.py
    beesat_classifier.py
    bme_submitter.py
    bme_ws_submitter.py
    cc11xx_packet_crop.py
    check_address.py
    check_ao40_uncoded_crc.py
    check_astrocast_crc.py
    check_cc11xx_crc.py
    check_crc16_ccitt.py
    check_crc16_ccitt_false.py
    check_crc.py
    check_eseo_crc.py
    check_swiatowid_crc.py
    check_tt64_crc.py
    crc32c.py
    crcs.py
    csp_header.py
    ecss_pus.py
    eseo_line_decoder.py
    eseo_packet_crop.py
    feh.py
    fixedlen_tagger.py
    funcube_submit.py
    grpdu.py
    grtypes.py
    hdlc.py
    hdlc_deframer.py
    hdlc_framer.py
    k2sat_deframer.py
    kiss.py
    kiss_to_pdu.py
    ks1q_header_remover.py
    lilacsat1_gps_kml.py
    ngham_check_crc.py
    ngham_packet_crop.py
    ngham_remove_padding.py
    pdu_to_kiss.py
    print_header.py
    print_timestamp.py
    pwsat2_submitter.py
    pwsat2_telemetry_parser.py
    reflect_bytes.py
    snet_classifier.py
    snet_deframer.py
    submit.py
    swap_crc.py
    swap_header.py
    swiatowid_packet_crop.py
    swiatowid_packet_split.py
    sx12xx_check_crc.py
    sx12xx_packet_crop.py
    DESTINATION ${GR_PYTHON_DIR}/satellites
)

add_subdirectory(ccsds)
add_subdirectory(components)
add_subdirectory(core)
add_subdirectory(hier)
add_subdirectory(filereceiver)
add_subdirectory(satyaml)
add_subdirectory(telemetry)
add_subdirectory(usp)
add_subdirectory(utils)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-satellites)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/swig)
GR_ADD_TEST(qa_costas_loop_8apsk_cc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_costas_loop_8apsk_cc.py)
GR_ADD_TEST(qa_crc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_crc.py)
GR_ADD_TEST(qa_fixedlen_tagger ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_fixedlen_tagger.py)
GR_ADD_TEST(qa_fixedlen_to_pdu ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_fixedlen_to_pdu.py)
GR_ADD_TEST(qa_hdlc ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_hdlc.py)
GR_ADD_TEST(qa_kiss ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_kiss.py)
GR_ADD_TEST(qa_manchester_sync ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_manchester_sync.py)
GR_ADD_TEST(qa_nrzi ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_nrzi.py)
GR_ADD_TEST(qa_pdu_add_meta ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_pdu_add_meta.py)
GR_ADD_TEST(qa_pdu_head_tail ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_pdu_head_tail.py)
GR_ADD_TEST(qa_pdu_length_filter ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_pdu_length_filter.py)
GR_ADD_TEST(qa_pdu_scrambler ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_pdu_scrambler.py)
GR_ADD_TEST(qa_phase_unwrap ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_phase_unwrap.py)
GR_ADD_TEST(qa_rs ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_rs.py)
GR_ADD_TEST(qa_selector ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_selector.py)
GR_ADD_TEST(qa_viterbi ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_viterbi.py)

=== include/satellites/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Install public header files
########################################################################
install(FILES
    api.h
    ax100_decode.h
    crc.h
    crc_append.h
    crc_check.h
    convolutional_encoder.h
    costas_loop_8apsk_cc.h
    decode_ra_code.h
    decode_rs.h
    descrambler308.h
    distributed_syncframe_soft.h
    doppler_correction.h
    encode_rs.h
    fixedlen_to_pdu.h
    lilacsat1_demux.h
    manchester_sync.h
    matrix_deinterleaver_soft.h
    nrzi_decode.h
    nrzi_encode.h
    nusat_decoder.h
    pdu_add_meta.h
    pdu_head_tail.h
    pdu_length_filter.h
    pdu_scrambler.h
    phase_unwrap.h
    selector.h
    u482c_decode.h
    varlen_packet_framer.h
    varlen_packet_tagger.h
    viterbi_decoder.h
    DESTINATION include/satellites
)

=== python/bindings/CMakeLists.txt ===
# Copyright 2020 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Check if there is C++ code at all
########################################################################
if(NOT satellites_sources)
    MESSAGE(STATUS "No C++ sources... skipping python bindings")
    return()
endif(NOT satellites_sources)

########################################################################
# Check for pygccxml
########################################################################
GR_PYTHON_CHECK_MODULE_RAW(
    "pygccxml"
    "import pygccxml"
    PYGCCXML_FOUND
    )

include(GrPybind)

########################################################################
# Python Bindings
########################################################################

list(APPEND satellites_python_files
    ax100_decode_python.cc
    crc_python.cc
    crc_append_python.cc
    crc_check_python.cc
    convolutional_encoder_python.cc
    costas_loop_8apsk_cc_python.cc
    decode_ra_code_python.cc
    decode_rs_python.cc
    descrambler308_python.cc
    distributed_syncframe_soft_python.cc
    doppler_correction_python.cc
    encode_rs_python.cc
    fixedlen_to_pdu_python.cc
    lilacsat1_demux_python.cc
    manchester_sync_python.cc
    matrix_deinterleaver_soft_python.cc
    nrzi_decode_python.cc
    nrzi_encode_python.cc
    nusat_decoder_python.cc
    pdu_add_meta_python.cc
    pdu_head_tail_python.cc
    pdu_length_filter_python.cc
    pdu_scrambler_python.cc
    phase_unwrap_python.cc
    python_bindings.cc
    selector_python.cc
    u482c_decode_python.cc
    varlen_packet_framer_python.cc
    varlen_packet_tagger_python.cc
    viterbi_decoder_python.cc
)

GR_PYBIND_MAKE_OOT(satellites 
   ../..
   gr::satellites
   "${satellites_python_files}")

install(TARGETS satellites_python DESTINATION ${GR_PYTHON_DIR}/satellites COMPONENT pythonapi)

=== python/ccsds/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    pathID_demultiplexer.py
    space_packet.py
    space_packet_parser.py
    space_packet_primaryheader_adder.py
    space_packet_time_stamp_adder.py
    telecommand.py    
    telecommand_parser.py
    telecommand_primaryheader_adder.py
    telemetry.py
    telemetry_ocf_adder.py
    telemetry_packet_reconstruction.py
    telemetry_parser.py
    telemetry_primaryheader_adder.py
    virtual_channel_demultiplexer.py
    DESTINATION ${GR_PYTHON_DIR}/satellites/ccsds
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-satellites)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR}/swig)

=== python/telemetry/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    aausat4.py
    amicalsat.py
    au03.py
    ax25.py
    binar1.py
    by02.py
    by70_1.py
    cirbe_70cm.py
    cirbe_bct_soh.py
    csp.py
    ctim_70cm.py
    cute_70cm.py
    cute_bct_fsw.py
    cute_bct_soh.py
    cute_pld.py
    delfic3.py
    delfipq.py
    dstar_one.py
    eseo.py
    fossasat.py
    fossasat_1b.py
    fossasat_2.py
    floripasat.py
    funcube.py
    gomx_1.py
    gomx_3.py
    inspiresat_1.py
    kr01.py
    lume.py
    mirsat1.py
    mysat1.py
    picsat.py
    qo100.py
    quetzal1.py
    sat_1kuns_pf.py
    sat_3cat_1.py
    sat_3cat_2.py
    smogp.py
    snet.py
    suomi100.py
    trisat.py
    upmsat_2.py
    vzlusat_2.py
    DESTINATION ${GR_PYTHON_DIR}/satellites/telemetry
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-satellites)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/swig)
GR_ADD_TEST(qa_by02 ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_by02.py)

=== grc/components/deframers/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

install(FILES
    satellites_aalto1_deframer.block.yml
    satellites_aausat4_deframer.block.yml
    satellites_aistechsat_2_deframer.block.yml
    satellites_ao40_fec_deframer.block.yml
    satellites_ao40_uncoded_deframer.block.yml
    satellites_astrocast_fx25_deframer.block.yml
    satellites_ax100_deframer.block.yml
    satellites_ax25_deframer.block.yml
    satellites_ax5043_deframer.block.yml
    satellites_binar1_deframer.block.yml
    satellites_ccsds_concatenated_deframer.block.yml
    satellites_ccsds_uncoded_deframer.block.yml
    satellites_ccsds_rs_deframer.block.yml
    satellites_diy1_deframer.block.yml
    satellites_endurosat_deframer.block.yml
    satellites_eseo_deframer.block.yml
    satellites_fossasat_deframer.block.yml
    satellites_geoscan_deframer.block.yml
    satellites_grizu263a_deframer.block.yml
    satellites_hades_deframer.block.yml
    satellites_hsu_sat1_deframer.block.yml
    satellites_ideassat_deframer.block.yml
    satellites_k2sat_deframer_component.block.yml
    satellites_light1_deframer.block.yml
    satellites_lilacsat_1_deframer.block.yml
    satellites_lucky7_deframer.block.yml
    satellites_mobitex_deframer.block.yml
    satellites_ngham_deframer.block.yml
    satellites_nusat_deframer.block.yml
    satellites_ops_sat_deframer.block.yml
    satellites_reaktor_hello_world_deframer.block.yml
    satellites_sanosat_deframer.block.yml
    satellites_sat_3cat_1_deframer.block.yml
    satellites_smogp_ra_deframer.block.yml
    satellites_smogp_signalling_deframer.block.yml
    satellites_snet_deframer_component.block.yml
    satellites_spino_deframer.block.yml
    satellites_swiatowid_deframer.block.yml
    satellites_tt64_deframer.block.yml
    satellites_u482c_deframer.block.yml
    satellites_ua01_deframer.block.yml
    satellites_usp_deframer.block.yml
    satellites_yusat_deframer.block.yml
    DESTINATION share/gnuradio/grc/blocks
)

=== python/components/transports/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-satellites
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    kiss_transport.py
    DESTINATION ${GR_PYTHON_DIR}/satellites/components/transports
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-satellites)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR}/swig)

=== debian/changelog ===
gr-satellites (5.5.0-2) unstable; urgency=medium

  * clean up after Doxygen (Closes: #1044350)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 18 Feb 2024 10:01:27 -0500

gr-satellites (5.5.0-1) experimental; urgency=medium

  [ Christoph Berg ]
  * Add debian/gitlab-ci.yml

  [ Patrick Winnertz ]
  * Fix the watch file to get the newest version from github automatically
  * New upstream version 5.5.0 (Closes: #1006438)
  * Bump copyright year
  * Updated standards-version - no changes needed.
  * Install the examples within the package gr-satellites.
  * Add a missing dependency to websockets

  [ A. Maitland Bottoms ]
  * upodate Build-Depends: pkg-config => pkgconf, no more swig
    added python3-websocket: tests now passing
  * register html docs with doc-base
  * upload to experimental due to library soversion bump.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 17 Feb 2024 14:05:54 -0500

=== debian/control ===
Source: gr-satellites
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>,
	   Christoph Berg <myon@debian.org>
Build-Depends: cmake,
	       debhelper-compat (= 13),
               dh-python,
               doxygen,
               gnuradio-dev,
               pkgconf,
               python3,
	       python3-construct,
               python3-mako,
               python3-numpy,
	       python3-requests,
	       python3-websocket
Standards-Version: 4.6.2
Homepage: https://github.com/daniestevez/gr-satellites
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gr-satellites.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gr-satellites

Package: libgnuradio-satellites5.5.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Recommends: gr-satellites
Description: library of satellite telemetry signal decoders
 This GNU Radio out-of-tree module can be used to decode frames
 transmitted from most Amateur satellites in orbit, performing
 demodulation, forward error correction, etc. Decoded frames can be
 saved to a file or displayed in hex format. For some satellites the
 telemetry format definition is included in gr-satellites, so the
 decoded telemetry frames can be printed out as human-readable values
 such as bus voltages and currents. Additionally, some satellites
 transmit files such as JPEG images. gr-satellites can be used to
 reassemble these files and even display the images in real-time as
 they are being received.
 .
 It supports most popular protocols, such as AX.25, the GOMspace
 NanoCom U482C and AX100 modems, an important part of the CCSDS stack,
 the AO-40 protocol used in the FUNcube satellites, and several ad-hoc
 protocols used in other satellites.
 .
 This package contains the shared library.

Package: gr-satellites
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libgnuradio-satellites5.5.0 (=${binary:Version}),
         ${misc:Depends}, ${python3:Depends},
         ${shlibs:Depends}, feh, python3-construct, python3-requests,
	 python3-websocket
Description: Collection of satellite telemetry signal decoders
 This GNU Radio out-of-tree module can be used to decode frames
 transmitted from most Amateur satellites in orbit, performing
 demodulation, forward error correction, etc. Decoded frames can be
 saved to a file or displayed in hex format. For some satellites the
 telemetry format definition is included in gr-satellites, so the
 decoded telemetry frames can be printed out as human-readable values
 such as bus voltages and currents. Additionally, some satellites
 transmit files such as JPEG images. gr-satellites can be used to
 reassemble these files and even display the images in real-time as
 they are being received.
 .
 It supports most popular protocols, such as AX.25, the GOMspace
 NanoCom U482C and AX100 modems, an important part of the CCSDS stack,
 the AO-40 protocol used in the FUNcube satellites, and several ad-hoc
 protocols used in other satellites.
 .
 This package contains the header files and grc block definitions,
 and a set of satellite telemetry decoding scripts.

=== debian/rules ===
#!/usr/bin/make -f

#Enable some hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --with numpy3

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON

override_dh_auto_test:
	- dh_auto_test

override_dh_installexamples:
	- dh_installexamples --exclude=.gitignore

override_dh_auto_clean:
	rm -rf docs/doxygen/doxyxml/__pycache__
	rm -rf docs/doxygen/doxyxml/generated/__pycache__
	rm -rf python/satyaml/__pycache__
	dh_auto_clean $@

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/v?(\d[\d.]*)\.tar\.gz%gr-satellites-$1.tar.gz%" \
https://github.com/daniestevez/gr-satellites/tags .*/v?(\d[\d.]*)\.tar\.gz
